Timezone

The Timezone API provides time offset data for locations on the surface of the earth.

GET
/timezone

Authorization

stringRequired

LocationIQ Access Token

Query Parameters

numberRequired

Latitude of the location to generate an address for.

Formatfloat
numberRequired

Longitude of the location to generate an address for.

Formatfloat
number

Unix epoch time in seconds (number of seconds since January 1, 1970, 00:00:00 UTC). Defaults to current time if omitted. This parameter allows retrieval of time zone information for specific moments, which is useful for handling Daylight Saving Time changes and ensuring correct time zone offsets for historical data or future event scheduling.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/timezone?lat=40.748442&lon=-73.985658"
{  "timezone": {    "name": "Asia/Kolkata",    "now_in_dst": 0,    "offset_sec": 19800,    "short_name": "IST",    "full_name": "India Standard Time"  }}